cd "/Users/jackpaine/Dropbox/Published articles/QJPS - Oil #3/QJPS replication"

********************************************************
*****FIGURE 2. ETHNIC GROUP SIZE AND CIVIL WAR AIMS*****
********************************************************
use "quantile.dta", clear
twoway (line sep quantile, lcolor(black)) ///
(line center quantile, lcolor(black) lpattern(dash)), ///
xlabel(1 "<.006" 2 ".006-.026" 3 ".026-.09" 4 "0.09-.3" 5 ">.3") ///
xtitle("Ethnic group fraction of population",size(vlarge)) ///
ytitle("Fraction of years with ethnic CW onset",size(vlarge)) graphregion(color(white)) ///
name(panela, replace) legend(label(1 "Separatist CW onset") label(2 "Center CW onset")) nodraw ///
title("Panel A. All group-years",size(huge) color(black)) ///
ylabel(,labsize(vlarge) nogrid) xlabel(,labsize(vlarge) nogrid)
twoway (line sep_fraction quantile, lcolor(black)), ///
xlabel(1 "<.006" 2 ".006-.026" 3 ".026-.09" 4 ".09-.3" 5 ">.3") ///
xtitle("Ethnic group fraction of population",size(vlarge)) ///
ytitle("Separatist as fraction of CW onsets",size(vlarge)) graphregion(color(white)) ///
ylabel(0(.2)1,labsize(vlarge) nogrid) xlabel(,labsize(vlarge) nogrid) name(panelb, replace) nodraw ///
title("Panel B. Years with CW onset",size(huge) color(black))
grc1leg panela panelb, graphregion(color(white)) legendfrom(panela) name(panelc, replace)
graph combine panelc, cols(2) xsize(6) ysize(3) graphregion(color(white))
graph2tex, epsfile(fig2)


*************************************************************
*****FIGURE 4. ETHNIC GROUP SIZE AND POLITICAL INCLUSION*****
*************************************************************
use "quantile.dta", clear
twoway (line inclusion quantile, lcolor(black)) ///
(line inclusion_oil quantile, lcolor(gray) lpattern(dash)), ///
xlabel(1 "<.006" 2 ".006-.026" 3 ".026-.09" 4 ".09-.3" 5 ">.3") ///
xtitle("Ethnic group fraction of population",size(vlarge)) ///
ytitle("Fraction with political inclusion",size(vlarge)) graphregion(color(white)) ///
legend(off) ylabel(0(.2)1,labsize(vlarge) nogrid) xlabel(,labsize(vlarge) nogrid)
graph2tex, epsfile(fig4)


******************************************************
*****FIGURE 7. OIL AND SEPARATIST CIVIL WAR ONSET*****
******************************************************

***Panel A. Oil-separatist civil war cases
use "group_data.dta", clear
sort countryname groupname year
outsheet countryname groupname year groupsize excluded mountains_high noncontiguous dist_capital_high using fig7a.txt if fl_sep_epr==1 & oil_250km==1, comma replace

***Panel B. Regression estimates
use "group_data.dta", clear
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) asbalanced emptycells(reweight) atmeans post saving(panela, replace)
logit fl_sep_epr i.oil_250km##i.excluded_minority sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(excluded_minority=1 oil_250km=0) asbalanced emptycells(reweight) atmeans post saving(panelb, replace)
logit fl_sep_epr i.oil_250km##i.excluded_minority sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(excluded_minority=0 oil_250km=0) asbalanced emptycells(reweight) atmeans post saving(panelc, replace)
logit fl_sep_epr i.oil_250km##i.fav_geography sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(fav_geography=1 oil_250km=0) asbalanced emptycells(reweight) atmeans post saving(paneld, replace)
logit fl_sep_epr i.oil_250km##i.fav_geography sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(fav_geography=0 oil_250km=0) asbalanced emptycells(reweight) atmeans post saving(panele, replace)
use panela, clear 
gen number=0
save "panela.dta", replace
use panelb, clear 
gen number=1
save "panelb.dta", replace
use panelc, clear 
gen number=2
save "panelc.dta", replace
use paneld, clear 
gen number=3
save "paneld.dta", replace
use panele, clear 
gen number=4
save "panele.dta", replace
use panela, clear 
append using panelb
append using panelc
append using paneld
append using panele
save "sep_graph_data.dta", replace
serrbar _margin _se number, lcolor(black) mvopts(mcolor(black)) scale (1.96) ///
xlabel(0 "(1) Pooled sample" 1 "(2a) Excl. and minority? Yes" 2 "(2b) Excl. and minority? No" 3 "(3a) Favorable geog.? Yes" 4 "(3b) Favorable geog.? No" ///
, valuelabel angle(30)) xtitle("") ytitle("Estimated marginal effect of giant oil field") ///
yline(0, lcolor(gray) lpattern(dash)) ylabel(, nogrid) graphregion(margin(l=15) color(white))
graph2tex, epsfile(fig7b)


**********************************************************
*****FIGURE 8. OIL AND CENTER-SEEKING CIVIL WAR ONSET*****
**********************************************************

***Panel A. Oil-center seeking civil war cases
use "country_data.dta", clear
sort oil_gas_valuepop_2014_1 country year
outsheet country year oil_gas_valuepop_2014_1 oilshock losewar arabspring using fig8a.txt if fl_center==1 & ln_oil_gas_valuepop_2014_1>4.62 & ln_oil_gas_valuepop_2014_1!=., comma replace

***Panel B. Regression estimates
use "country_data.dta", clear
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post saving(panela, replace)
logit fl_center c.ln_oil_gas_valuepop_2014_1##i.vulnerable ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) at(vulnerable=0) atmeans post saving(panelb, replace)
logit fl_center c.ln_oil_gas_valuepop_2014_1##i.vulnerable ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) at(vulnerable=1) atmeans post saving(panelc, replace)
use panela, clear 
gen number=0
save "panela.dta", replace
use panelb, clear 
gen number=1
save "panelb.dta", replace
use panelc, clear 
gen number=2
save "panelc.dta", replace
use panela, clear 
append using panelb
append using panelc
save "center_graph_data.dta", replace
serrbar _margin _se number, lcolor(black) mvopts(mcolor(black)) scale (1.96) ///
xlabel(0 "(1) Pooled sample" 1 "(2a) Condition: non-vulnerable gov." 2 "(2b) Condition: vulnerable gov.", valuelabel angle(30)) ///
xtitle("") ytitle("Estimated marginal effect of ln(oil/pop.)") ylabel(, nogrid) yline(0, lcolor(gray) lpattern(dash)) graphregion(margin(l=15 r=18) color(white))
graph2tex, epsfile(fig8b)


************************************************************
*****FIGURE B.1. OIL AND CENTER-SEEKING CIVIL WAR ONSET*****
************************************************************

*Panel A. Countries
use "country_data.dta", clear
logit fl_war ln_oil_gas_valuepop_2014_1 ln_pop_1 war_peaceyears war_spline1 war_spline2 war_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post saving(panela, replace)
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post saving(panelb, replace)
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3 if year<2011, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post saving(panelc, replace)
logit fl_sep ln_oil_gas_valuepop_2014_1 ln_pop_1 sep_peaceyears sep_spline1 sep_spline2 sep_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post saving(paneld, replace)
use panela, clear 
gen number=0
save "panela.dta", replace
use panelb, clear 
gen number=1
save "panelb.dta", replace
use panelc, clear 
gen number=2
save "panelc.dta", replace
use paneld, clear 
gen number=3
save "paneld.dta", replace
use panela, clear 
append using panelb
append using panelc
append using paneld
label define number1 0 "(1) Any CW onset" 1 "(2) Center-seeking CW onset" 2 "(3) Center CW onset pre-2011" 3 "(4) Separatist CW onset"
label values number number1
save "country_graph_data.dta", replace
serrbar _margin _se number, lcolor(black) mvopts(mcolor(black)) scale (1.96) ///
xlabel(0 "(1) DV: Any CW onset" 1 "(2) DV: Center-seeking CW onset" 2 "(3) DV: Center CW onset pre-2011" 3 "(4) DV: Separatist CW onset", valuelabel angle(30)) ///
xtitle("") ytitle("Estimated marginal effect of ln(oil/pop.)") ylabel(-.005(.005).005, nogrid) ///
yline(0, lcolor(gray) lpattern(dash)) graphregion(margin(l=20 r=5) color(white)) name(panela, replace) nodraw ///
title("A. Countries",color(black))

*Panel B. Ethnic groups
use "group_data.dta", clear
logit fl_war_epr oil_250km war_peaceyears war_spline1 war_spline2 war_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panela, replace)
logit fl_war_epr oil_250km war_peaceyears war_spline1 war_spline2 war_spline3 L_war_incidence i.ccode, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panelb, replace)
logit fl_center_epr oil_250km center_peaceyears center_spline1 center_spline2 center_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panelc, replace)
logit fl_center_epr oil_250km center_peaceyears center_spline1 center_spline2 center_spline3 L_war_incidence i.ccode, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(paneld, replace)
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panele, replace)
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence i.ccode, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panelf, replace)
use panela, clear 
gen number=0
save "panela.dta", replace
use panelb, clear 
gen number=1
save "panelb.dta", replace
use panelc, clear 
gen number=2
save "panelc.dta", replace
use paneld, clear 
gen number=3
save "paneld.dta", replace
use panele, clear 
gen number=4
save "panele.dta", replace
use panelf, clear 
gen number=5
save "panelf.dta", replace
use panela, clear 
append using panelb
append using panelc
append using paneld
append using panele
append using panelf
label define number1 0 "(1) Any ethnic CW onset" 1 "(2) Any ethnic CW onset (country FE)" 2 "(3) Ethnic center-seeking CW onset" ///
3 "(4) Ethnic center CW onset (country FE)" 4 "(5) Ethnic separatist CW onset" 5 "(6) Ethnic separatist CW onset (country FE)"
label values number number1
save "ethnic_graph_data.dta", replace
serrbar _margin _se number, lcolor(black) mvopts(mcolor(black)) scale (1.96) ///
xlabel(0 "(1) Any ethnic CW onset" 1 "(2) Any ethnic CW onset (country FE)" 2 "(3) Ethnic center-seeking CW onset" ///
3 "(4) Ethnic center CW onset (country FE)" 4 "(5) Ethnic separatist CW onset" 5 "(6) Ethnic separatist CW onset (country FE)", ///
valuelabel angle(30)) xtitle("") ytitle("Estimated marginal effect of giant oil field",size(large)) ylabel(, nogrid labsize(large)) yline(0, lcolor(gray) lpattern(dash)) ///
graphregion(margin(l=18) color(white)) scale(.8) name(panelb, replace) nodraw ///
title("B. Ethnic Groups",size(vlarge) color(black))

graph combine panela panelb, graphregion(color(white)) xsize(2) ysize(1)
graph2tex, epsfile(figb1) 

*********************************************************
*****FIGURE B.2. QUANTILE PLOT FOR ETHNIC GROUP SIZE*****
*********************************************************
use "group_data.dta", clear
quantile groupsize, graphregion(color(white)) ytitle("Quantiles of ethnic group size",size(large)) ///
xtitle("Fraction of the data",size(large)) xlabel(,labsize(large)) ylabel(,labsize(large))
graph2tex, epsfile(figb2)


***************************************************************
*****TABLE D.1. REGRESSION TABLE FOR PANEL A OF FIGURE B.1*****
***************************************************************
use "country_data.dta", clear
*Oil coefficient
logit fl_war ln_oil_gas_valuepop_2014_1 ln_pop_1 war_peaceyears war_spline1 war_spline2 war_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post
outreg2 using tabled1_oil, replace nocon label noaster
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post
outreg2 using tabled1_oil, append nocon label noaster
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3 if year<2011, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post
outreg2 using tabled1_oil, append nocon label noaster
logit fl_sep ln_oil_gas_valuepop_2014_1 ln_pop_1 sep_peaceyears sep_spline1 sep_spline2 sep_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post
outreg2 using tabled1_oil, append nocon label tex(frag) noaster
*Population coefficient
logit fl_war ln_oil_gas_valuepop_2014_1 ln_pop_1 war_peaceyears war_spline1 war_spline2 war_spline3, cluster(ccode)
margins, dyex(ln_pop_1) atmeans post
outreg2 using tabled1_pop, replace nocon label noaster
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_pop_1) atmeans post
outreg2 using tabled1_pop, append nocon label noaster
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3 if year<2011, cluster(ccode)
margins, dyex(ln_pop_1) atmeans post
outreg2 using tabled1_pop, append nocon label noaster
logit fl_sep ln_oil_gas_valuepop_2014_1 ln_pop_1 sep_peaceyears sep_spline1 sep_spline2 sep_spline3, cluster(ccode)
margins, dyex(ln_pop_1) atmeans post
outreg2 using tabled1_pop, append nocon label tex(frag) noaster


***************************************************************
*****TABLE D.2. REGRESSION TABLE FOR PANEL B OF FIGURE B.1*****
***************************************************************
use "group_data.dta", clear
logit fl_war_epr oil_250km war_peaceyears war_spline1 war_spline2 war_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panela, replace)
outreg2 using tabled2, replace label nocon keep(oil_250km) noaster
logit fl_war_epr oil_250km war_peaceyears war_spline1 war_spline2 war_spline3 L_war_incidence i.ccode, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panelb, replace)
outreg2 using tabled2, append label nocon keep(oil_250km) noaster
logit fl_center_epr oil_250km center_peaceyears center_spline1 center_spline2 center_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panelc, replace)
outreg2 using tabled2, append label nocon keep(oil_250km) noaster
logit fl_center_epr oil_250km center_peaceyears center_spline1 center_spline2 center_spline3 L_war_incidence i.ccode, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(paneld, replace)
outreg2 using tabled2, append label nocon keep(oil_250km) noaster
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panele, replace)
outreg2 using tabled2, append label nocon keep(oil_250km) noaster
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence i.ccode, cluster(gwgroupid)
margins, dydx(oil_250km) at(oil_250km=0) atmeans post saving(panelf, replace)
outreg2 using tabled2, append label nocon tex(frag) keep(oil_250km) noaster


**************************************************
*****TABLE D.3. REGRESSION TABLE FOR FIGURE 7*****
**************************************************
use "group_data.dta", clear
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid)
outreg2 using tabled3, replace label nocon noaster
logit fl_sep_epr i.oil_250km##i.excluded_minority sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
outreg2 using tabled3, append label nocon noaster
logit fl_sep_epr i.oil_250km##i.fav_geography sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
outreg2 using tabled3, append label nocon tex(frag) noaster
*Marginal effects
logit fl_sep_epr oil_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid)
margins, dydx(oil_250km) atmeans post
outreg2 using tabled3_uncond, replace label nocon tex(frag) noaster
logit fl_sep_epr i.oil_250km##i.excluded_minority sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(oil_250km=0 excluded_minority=1) atmeans post
outreg2 using tabled3_em1, replace label nocon tex(frag) noaster
logit fl_sep_epr i.oil_250km##i.excluded_minority sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(oil_250km=0 excluded_minority=0) atmeans post
outreg2 using tabled3_em0, replace label nocon tex(frag) noaster
logit fl_sep_epr i.oil_250km##i.fav_geography sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(oil_250km=0 fav_geography=1) atmeans post
outreg2 using tabled3_geo1, replace label nocon tex(frag) noaster
logit fl_sep_epr i.oil_250km##i.fav_geography sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(gwgroupid) nolog
margins, dydx(oil_250km) at(oil_250km=0 fav_geography=0) atmeans post
outreg2 using tabled3_geo0, replace label nocon tex(frag) noaster


**************************************************
*****TABLE D.4. REGRESSION TABLE FOR FIGURE 8*****
**************************************************
use "country_data.dta", clear
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
outreg2 using tabled4, replace nocon label noaster
logit fl_center c.ln_oil_gas_valuepop_2014_1##i.vulnerable ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
outreg2 using tabled4, append nocon label tex(frag) noaster
*Marginal effects
logit fl_center ln_oil_gas_valuepop_2014_1 ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) atmeans post
outreg2 using tabled4_uncond, replace nocon label tex(frag) noaster
logit fl_center c.ln_oil_gas_valuepop_2014_1##i.vulnerable ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) at(vulnerable=0) atmeans post
outreg2 using tabled4_0, replace nocon label tex(frag) noaster
logit fl_center c.ln_oil_gas_valuepop_2014_1##i.vulnerable ln_pop_1 center_peaceyears center_spline1 center_spline2 center_spline3, cluster(ccode)
margins, dyex(ln_oil_gas_valuepop_2014_1) at(vulnerable=1) atmeans post
outreg2 using tabled4_1, replace nocon label tex(frag) noaster


************************************************
*****TABLE D.5. RULE BY SMALL ETHNIC GROUPS*****
************************************************
use "group_data.dta", clear
keep if firstyear_regime==1 & ruler==1 & groupsize<.201
sort countryname year groupname
outsheet groupname countryname year groupsize using tabled5.txt, comma replace


*******************************************************************************
*****TABLE D.6. REPLICATING KALYVAS AND BALCELLS WITH SEPARATIST INDICATOR*****
*******************************************************************************
use "KB2010replicationdataset.dta", clear
gen outcome_logit=technologyrebellion
replace outcome_logit=. if technologyrebellion==3
replace outcome_logit=outcome_logit-1
replace outcome_logit=1-outcome_logit
label var roughterrain "Rough terrain"
label var ethnicwar "Ethnic war"
label var gdpcapita_fl "GDP/capita"
label var post1990 "Post-1990"
label var separatist "Separatist CW"
label var newpostcomm "New post-communist country"
label var marxistins "Marxist rebels"
label var milper "Military personnel"
logit  outcome_logit separatist roughterrain ethnicwar gdpcapita_fl post1990
outreg2 using tabled6, replace label nocon noaster
logit  outcome_logit separatist roughterrain ethnicwar gdpcapita_fl newpostcomm
outreg2 using tabled6, append label nocon noaster
logit  outcome_logit separatist roughterrain ethnicwar gdpcapita_fl  marxistins
outreg2 using tabled6, append label nocon noaster
logit  outcome_logit separatist roughterrain ethnicwar gdpcapita_fl post1990 milper
outreg2 using tabled6, append label nocon noaster
logit  outcome_logit separatist roughterrain ethnicwar gdpcapita_fl newpostcomm milper
outreg2 using tabled6, append label nocon noaster
logit  outcome_logit separatist roughterrain ethnicwar gdpcapita_fl  marxistins milper
outreg2 using tabled6, append label nocon tex(frag) noaster


*****************************************************************
*****TABLE D.7. TERRITORIAL CONCENTRATION AND CIVIL WAR AIMS*****
*****************************************************************
use "group_data.dta", clear
logit fl_sep_epr geo_concentrated sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(geo_concentrated) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled7, replace label nocon keep(geo_concentrated) noaster
logit fl_center_epr geo_concentrated center_peaceyears center_spline1 center_spline2 center_spline3 L_war_incidence, cluster(gwgroupid)
margins, dydx(geo_concentrated) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled7, append label nocon keep(geo_concentrated) tex(frag) noaster


**************************************************************************
*****FIGURE D.1. FIGURE 7 WITH DISAGGREGATED ONSHORE AND OFFSHORE OIL*****
**************************************************************************
use "group_data.dta", clear
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(groupname)
margins, dydx(onshore_oil) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post saving(panela, replace)
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(groupname)
margins, dydx(offshore_only_250km) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post saving(panelb, replace)
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & excluded_minority==1, cluster(groupname)
margins, dydx(onshore_oil) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post saving(panelc, replace)
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & excluded_minority==1, cluster(groupname)
margins, dydx(offshore_only_250km) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post saving(paneld, replace)
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & fav_geography==1, cluster(groupname)
margins, dydx(onshore_oil) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post saving(panele, replace)
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & fav_geography==1, cluster(groupname)
margins, dydx(offshore_only_250km) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post saving(panelf, replace)
use panela, clear 
gen number=0
save "panela.dta", replace
use panelb, clear 
gen number=1
save "panelb.dta", replace
use panelc, clear 
gen number=2
save "panelc.dta", replace
use paneld, clear 
gen number=3
save "paneld.dta", replace
use panele, clear 
gen number=4
save "panele.dta", replace
use panelf, clear 
gen number=5
save "panelf.dta", replace
use panela, clear 
append using panelb
append using panelc
append using paneld
append using panele
append using panelf
save "sep_graph_data.dta", replace
serrbar _margin _se number, lcolor(black) mvopts(mcolor(black)) scale (1.96) ///
xlabel(0 "(1a) Any onshore oil (full sample)" 1 "(1b) Offshore oil only (full sample)" ///
2 "(2a) Any onshore oil (excluded minorities)" 3 "(2b) Offshore oil only (excluded minorities)" ///
4 "(3a) Any onshore oil (favorable geog.)" 5 "(3b) Offshore oil only (favorable geog.)" ///
, valuelabel angle(30)) xtitle("") ytitle("Est. marg. effect of giant oil field") ///
yline(0, lcolor(gray) lpattern(dash)) ylabel(, nogrid) graphregion(margin(l=27) color(white)) scale(.8)
graph2tex, epsfile(figd1)


****************************************************
*****TABLE D.8. REGRESSION TABLE FOR FIGURE D.1*****
****************************************************
use "group_data.dta", clear
label var onshore_oil "Giant onshore oil field"
label var offshore_only_250km "Giant offshore oil field (only)"
*Row for onshore oil
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(groupname)
margins, dydx(onshore_oil) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled8_on, replace label nocon noaster
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & excluded_minority==1, cluster(groupname)
margins, dydx(onshore_oil) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled8_on, append label nocon noaster
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & fav_geography==1, cluster(groupname)
margins, dydx(onshore_oil) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled8_on, append label nocon tex(frag) noaster
*Row for offshore oil
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1, cluster(groupname)
margins, dydx(offshore_only_250km) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled8_off, replace label nocon noaster
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & excluded_minority==1, cluster(groupname)
margins, dydx(offshore_only_250km) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled8_off, append label nocon noaster
logit fl_sep_epr onshore_oil offshore_only_250km sep_peaceyears sep_spline1 sep_spline2 sep_spline3 L_war_incidence if geo_concentrated==1 & fav_geography==1, cluster(groupname)
margins, dydx(offshore_only_250km) at(onshore_oil=0 offshore_only_250km=0) asbalanced emptycells(reweight) atmeans post
outreg2 using tabled8_off, append label nocon tex(frag) noaster
